Confirm a subscription

View as MarkdownOpen in Claude
Confirm a subscription to an event type

Authentication

AuthorizationToken

Header authentication of the form Token <token>

Path parameters

subscription_idstringRequired
Subscription id

Request

This endpoint expects an object.
secretstringRequired

The secret that was generated when the subscription was created and returned as the X-Hook-Secret header.

Response

Confirmed
event_typestring
The name of the event type associated to the subscription.
target_urlstring
The URL that the subscription will notify when your event type is triggered.
workspace_idstring
The ID of the workspace we will create the subscription in.
idstring or nullRead-only
The ID of the subscription.
is_enabledboolean or null
Whether the subscription is enabled or not.

Errors